Subject: Re: bug#77775: 30.1; Proced performance

From: Azeem Hasan <[email-masked]>
Date: Mon, 14 Apr 2025 09:17:23 +0500

Hi Laurence,

Laurence Warne <[email-masked]> writes:

> Nice work! I too get ~50% speed improvement after applying the patch.  At a glance the approach makes sense to me, it would be nice if we could change the FORMAT functions in proced-grammar-alist to take all the process info, which would remove the need for the additional defvar, but I think that would be a breaking change.

The defvar is to preserve compatibility but even with it there can still
be some backward incompatibility if someone is use those format
functions outside of `proced-format'. I think that is highly unlikely
and worth it for the better performance, especially since the only
fallout from such a use will be that `proced-enable-color-flag' will not
be honored so I think it is a safe change.

Rahguzar